######################################
# Mathe-Spiel mit Funktionen in Python
######################################

from random import randint

def start_game():
    print("\nWillkommen beim Mathe-Spiel!")
    print("Hier kannst du deine mathematischen Fähigkeiten trainieren.")
    print("Welche Rechenart möchtest du trainieren?")
    print("A - Addition")
    print("B - Subtraktion")
    print("C - Multiplikation")
    print("D - Spiel beenden")

    choice = input("> ")

    if choice == "A" or choice == "a":
        addition()
    elif choice == "B" or choice == "b":
        subtraktion()
    elif choice == "C" or choice == "c":
        multiplikation()
    elif choice == "D" or choice == "d":
        return None
    else:
        print("Das ist keine gültige Option! Bitte versuche es nochmal.")
        start_game()


def addition():
    num1 = randint(0,999)
    num2 = randint(0,999)

    print("Wie viel ist " + format(num1) + " + " + format(num2) + "?")

    choice = input("> ")

    if int(choice) == num1 + num2:
        print("Richtig! Gut gemacht.")
        start_game()
    else:
        print("Falsche Antwort! Das richtige Ergebnis lautet: " + format(num1+num2))
        start_game()


def subtraktion():
    num1 = randint(0,999)
    num2 = randint(0,999)

    print("Wie viel ist " + format(num1) + " - " + format(num2) + "?")

    choice = input("> ")

    if int(choice) == num1 - num2:
        print("Richtig! Gut gemacht.")
        start_game()
    else:
        print("Falsche Antwort! Das richtige Ergebnis lautet: " + format(num1-num2))
        start_game()


def multiplikation():
    num1 = randint(0,9)
    num2 = randint(0,9)

    print("Wie viel ist " + format(num1) + " x " + format(num2) + "?")

    choice = input("> ")

    if int(choice) == num1 * num2:
        print("Richtig! Gut gemacht.")
        start_game()
    else:
        print("Falsche Antwort! Das richtige Ergebnis lautet: " + format(num1*num2))
        start_game()

start_game()
